Subject: broken nat on linus' latest tree.

From: Dave Jones <[email-masked]>
Date: Wed, 25 Jul 2012 13:44:33 -0400

I put Linus' latest tree on my firewall, and found that none 
of the machines in my house can talk to the net any more.

The setup is pretty basic.  eth0 talks to the cable modem,
eth1 talks to lan. ip masq between them.

Running tcpdump, when I run a ping from another machine to the internet,
I see icmp requests arriving on eth1.
I see those requests and their replies going in/out of eth0, but I don't
see the replies being forwarded back to eth1.

(It happens with all traffic, not just icmp).

3.5 works, this is a post-merge regression.

Any ideas ?

	Dave